- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IScaffoldEditRenderer
TScaffoldBase
TScaffoldEditView
TScaffoldListView
TScaffoldSearch
TScaffoldView

Keyword

# Class TScaffoldEditView

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TCompositeControl
                |
                --TTemplateControl
                   |
                   --TScaffoldBase
                      |
                      --TScaffoldEditView

Template control for editing an Active Record instance.

The RecordClass determines the Active Record class to be edited. A particular record can be edited by specifying the RecordPk value (may be an array for composite keys).

The default editor input controls are created based on the column types. The editor layout can be specified by a renderer by set the value of the EditRenderer property to the class name of a class that implements TScaffoldEditRenderer. A renderer is an external template control that implements IScaffoldEditRenderer.

The Data of the IScaffoldEditRenderer will be set as the current Active Record to be edited. The UpdateRecord() method of IScaffoldEditRenderer is called when request to save the record is requested.

Validators in the custom external editor template should have the TBaseValidator::setValidationGroup property set to the value of the getValidationGroup of the TScaffoldEditView instance (the edit view instance is the Parent of the IScaffoldEditRenderer in most cases.

Cosmetic changes to the default editor should be done using Cascading Stylesheets. For example, a particular field/property can be hidden by specifying "display:none" for the corresponding style (each field/property has unique Css class name as "property_xxx", where xxx is the property name).

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Constants Inherited From TTemplateControl
EXT_TEMPLATE,

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Method Summary
void | bubbleEvent ( mixed $sender, mixed $param) Bubble the command name event. Stops bubbling when the page validator false.
protected void | createEditRenderer ( TActiveRecord $record, string $classPath) Instantiate the external edit renderer.
protected void | createRepeaterEditItem ( mixed $sender, mixed $param) Initialize the default editor using the scaffold input builder.
protected boolean | doSave () Check the validators, then tries to save the record.
TButton | getCancelButton ()
TButton | getClearButton ()
protected TActiveRecord | getCurrentRecord ()
string | getEditRenderer ()
protected TRepeater | getInputRepeater ()
array | getRecordPk ()
TButton | getSaveButton ()
protected TScaffoldInputBase | getScaffoldInputBuilder ( TActiveRecord $record) Create the default scaffold editor control factory.
string | getValidationGroup ()
void | initializeEditForm () Initialize the editor form
void | onLoad ( mixed $param) Initialize the editor form if it is Visible.
void | setEditRenderer ( string $value)
void | setRecordPk ( array $value)

Methods Inherited From TScaffoldBase

TScaffoldBase::clearRecordObject(), TScaffoldBase::copyFrom(), TScaffoldBase::getDefaultStyle(), TScaffoldBase::getEnableDefaultStyle(), TScaffoldBase::getRecordClass(), TScaffoldBase::getRecordFinder(), TScaffoldBase::getRecordObject(), TScaffoldBase::getRecordPkValues(), TScaffoldBase::getRecordPropertyValues(), TScaffoldBase::getTableInfo(), TScaffoldBase::onPreRender(), TScaffoldBase::setDefaultStyle(), TScaffoldBase::setEnableDefaultStyle(), TScaffoldBase::setRecordClass(), TScaffoldBase::setRecordObject()

Methods Inherited From TTemplateControl

TTemplateControl::createChildControls(), TTemplateControl::getIsSourceTemplateControl(), TTemplateControl::getMaster(), TTemplateControl::getMasterClass(), TTemplateControl::getTemplate(), TTemplateControl::getTemplateDirectory(), TTemplateControl::initRecursive(), TTemplateControl::injectContent(), TTemplateControl::loadTemplate(), TTemplateControl::registerContent(), TTemplateControl::registerContentPlaceHolder(), TTemplateControl::setMasterClass(), TTemplateControl::setTemplate()

Methods Inherited From TCompositeControl
TCompositeControl::initRecursive()

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary

Method Details

## bubbleEvent

public void bubbleEvent | (mixed $sender , mixed $param )

Bubble the command name event. Stops bubbling when the page validator false.

Otherwise, the bubble event is continued.

Input
mixed | $sender |
mixed | $param |
Output
Exception

## createEditRenderer

protected void createEditRenderer | (TActiveRecord $record , string $classPath )

Instantiate the external edit renderer.

Input
TActiveRecord | $record | record to be edited
string | $classPath | external edit renderer class name.
Output
Exception
throws | TConfigurationException raised when renderer is not an instance of IScaffoldEditRenderer.

## createRepeaterEditItem

protected void createRepeaterEditItem | (mixed $sender , mixed $param )

Initialize the default editor using the scaffold input builder.

Input
mixed | $sender |
mixed | $param |
Output
Exception

## doSave

protected boolean doSave | ()

Check the validators, then tries to save the record.

Output
boolean | true if the validators are true, false otherwise.
Exception

## getCancelButton

public TButton getCancelButton | ()

Output
TButton | Button to cancel the edit action (e.g. hide the edit view).
Exception

## getClearButton

public TButton getClearButton | ()

Output
TButton | Button to clear the editor inputs.
Exception

## getCurrentRecord

protected TActiveRecord getCurrentRecord | ()

Output
TActiveRecord | current Active Record instance
Exception

## getEditRenderer

public string getEditRenderer | ()

Output
string | the class name for scaffold editor. Defaults to empty, meaning not set.
Exception

## getInputRepeater

protected TRepeater getInputRepeater | ()

Output
TRepeater | default editor input controls repeater
Exception

## getRecordPk

public array getRecordPk | ()

Output
array | Active Record primary key value.
Exception

## getSaveButton

public TButton getSaveButton | ()

Output
TButton | Button triggered to save the Active Record.
Exception

## getScaffoldInputBuilder

protected TScaffoldInputBase getScaffoldInputBuilder | (TActiveRecord $record )

Create the default scaffold editor control factory.

Input
TActiveRecord | $record | record instance.
Output
TScaffoldInputBase | scaffold editor control factory.
Exception

## getValidationGroup

public string getValidationGroup | ()

Output
string | editor validation group name.
Exception

## initializeEditForm

public void initializeEditForm | ()

Initialize the editor form

Output
Exception

## onLoad

public void onLoad | (mixed $param )

Initialize the editor form if it is Visible.

Input
mixed | $param |
Output
Exception

## setEditRenderer

public void setEditRenderer | (string $value )

Input
string | $value | the class name for scaffold editor. Defaults to empty, meaning not set.
Output
Exception

## setRecordPk

public void setRecordPk | (array $value )

Input
array | $value | Active Record primary key value to be edited.
Output
Exception